package ru.dbotthepony.mc.otm.client.screen

import net.minecraft.network.chat.Component
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.client.screen.panels.Dock
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel
import ru.dbotthepony.mc.otm.client.screen.panels.TextInputPanel
import ru.dbotthepony.mc.otm.menu.HoloSignMenu

class HoloSignScreen(menu: HoloSignMenu, inventory: Inventory, title: Component) : MatteryScreen<HoloSignMenu>(menu, title) {
	override fun makeMainFrame(): FramePanel<MatteryScreen<*>> {
		val frame = FramePanel(this, null, 0f, 0f, 200f, 200f, getTitle())

		val textbox = TextInputPanel(this, frame)
		textbox.dock = Dock.FILL
		textbox.multiLine = true
		textbox.text = "МОГУС\nБОНУС\n\nСУС"

		return frame
	}
}
